webpackHotUpdate(0,{

/***/ "../../modules/module-pages/lib/browser/index.js":
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__("../../modules/module-pages/lib/browser/gql/index.js"));
__export(__webpack_require__("../../modules/module-pages/lib/browser/components/index.js"));
//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./modules/admin/components/PageForm.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(module) {/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("../../node_modules/lodash/lodash.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("../../node_modules/react/cjs/react.development.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd__ = __webpack_require__("../../node_modules/antd/es/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__ = __webpack_require__("../../modules/module-pages/lib/browser/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__);
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/components/PageForm.jsx";

(function () {
  var enterModule = __webpack_require__("../../node_modules/react-hot-loader/index.js").enterModule;

  enterModule && enterModule(module);
})();





var Item = __WEBPACK_IMPORTED_MODULE_2_antd__["g" /* Form */].Item;
var TextArea = __WEBPACK_IMPORTED_MODULE_2_antd__["i" /* Input */].TextArea;

function PageForm(_ref) {
  var _ref$item = _ref.item,
      item = _ref$item === void 0 ? {} : _ref$item,
      onSuccess = _ref.onSuccess,
      onError = _ref.onError,
      user = _ref.user,
      form = _ref.form;
  form.getFieldDecorator('_id', {
    initialValue: __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.get(item, '_id')
  });

  var submit = function submit(mutation, page) {
    return function (e) {
      e.preventDefault();
      form.validateFields(function (err) {
        if (err) return;
        var variables = {
          page: page
        };
        if (page._id) variables._id = page._id;
        mutation({
          variables: variables
        }).then(onSuccess).catch(onError);
      });
    };
  };

  var content = function content(mutation, _ref2) {
    var loading = _ref2.loading,
        error = _ref2.error;
    return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["g" /* Form */], {
      onSubmit: submit(mutation, form.getFieldsValue()),
      __source: {
        fileName: _jsxFileName,
        lineNumber: 28
      }
    }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
      label: "Title",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 29
      }
    }, form.getFieldDecorator('title', {
      rules: [{
        required: true,
        message: 'Title is required'
      }],
      initialValue: item.title
    })(__WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["i" /* Input */], {
      type: "text",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 31
      }
    }))), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
      label: "URL",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 34
      }
    }, form.getFieldDecorator('url', {
      rules: [{
        required: true,
        message: 'Page url is required'
      }],
      initialValue: item.url
    })(__WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["i" /* Input */], {
      type: "text",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 36
      }
    }))), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
      label: "Content",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 39
      }
    }, form.getFieldDecorator('content', {
      rules: [{
        required: true,
        message: 'Content is required'
      }],
      initialValue: item.content
    })(__WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(TextArea, {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 41
      }
    }))), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["c" /* Button */], {
      type: "primary",
      htmlType: "submit",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 44
      }
    }, "Submit"));
  };

  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_1_react___default.a.Fragment, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 49
    }
  }, !item._id ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__["AddPage"], {
    render: content,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 51
    }
  }) : __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__["EditPage"], {
    render: content,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 52
    }
  }));
}

var _default = __WEBPACK_IMPORTED_MODULE_2_antd__["g" /* Form */].create()(PageForm);

/* harmony default export */ __webpack_exports__["a"] = (_default);
;

(function () {
  var reactHotLoader = __webpack_require__("../../node_modules/react-hot-loader/index.js").default;

  var leaveModule = __webpack_require__("../../node_modules/react-hot-loader/index.js").leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Item, "Item", "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/components/PageForm.jsx");
  reactHotLoader.register(TextArea, "TextArea", "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/components/PageForm.jsx");
  reactHotLoader.register(PageForm, "PageForm", "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/components/PageForm.jsx");
  reactHotLoader.register(_default, "default", "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/components/PageForm.jsx");
  leaveModule(module);
})();

;
/* WEBPACK VAR INJECTION */}.call(__webpack_exports__, __webpack_require__("../../node_modules/webpack/buildin/harmony-module.js")(module)))

/***/ }),

/***/ "./modules/admin/containers/PagesManager.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(module) {/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Items; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("../../node_modules/lodash/lodash.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("../../node_modules/react/cjs/react.development.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd__ = __webpack_require__("../../node_modules/antd/es/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__ = __webpack_require__("../../modules/module-pages/lib/browser/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_PageForm__ = __webpack_require__("./modules/admin/components/PageForm.jsx");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_ManagementSection__ = __webpack_require__("./components/ManagementSection.jsx");
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/containers/PagesManager.jsx";

(function () {
  var enterModule = __webpack_require__("../../node_modules/react-hot-loader/index.js").enterModule;

  enterModule && enterModule(module);
})();

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }








var Items =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Items, _React$Component);

  function Items() {
    var _ref;

    var _temp, _this;

    _classCallCheck(this, Items);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _possibleConstructorReturn(this, (_ref = Items.__proto__ || Object.getPrototypeOf(Items)).call.apply(_ref, [this].concat(args))), Object.defineProperty(_assertThisInitialized(_this), "state", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: {
        item: {},
        modal: false
      }
    }), Object.defineProperty(_assertThisInitialized(_this), "columns", {
      configurable: true,
      enumerable: true,
      writable: true,
      value: [{
        title: "URL",
        dataIndex: 'url'
      }, {
        title: "Title",
        dataIndex: 'title'
      }, {
        title: "Actions",
        render: function render(record) {
          return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 27
            }
          }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["c" /* Button */], {
            onClick: function onClick() {
              return _this.setState({
                item: record,
                modal: true
              });
            },
            size: "small",
            type: "primary",
            __source: {
              fileName: _jsxFileName,
              lineNumber: 28
            }
          }, "Edit"), ' ', __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__["DeletePage"], {
            render: function render(remove) {
              return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["o" /* Popconfirm */], {
                title: "Are you sure?",
                onConfirm: function onConfirm() {
                  remove({
                    variables: {
                      _id: record._id
                    }
                  }).then(function () {
                    return location.reload();
                  }).catch(function () {
                    return __WEBPACK_IMPORTED_MODULE_2_antd__["u" /* message */].error("Server error :( Try later...");
                  });
                },
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 32
                }
              }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["c" /* Button */], {
                size: "small",
                type: "danger",
                __source: {
                  fileName: _jsxFileName,
                  lineNumber: 41
                }
              }, "Delete"));
            },
            __source: {
              fileName: _jsxFileName,
              lineNumber: 30
            }
          }));
        }
      }]
    }), _temp));
  }

  _createClass(Items, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5__components_ManagementSection__["a" /* default */], {
        button: __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["c" /* Button */], {
          onClick: function onClick() {
            return _this2.setState({
              modal: true
            });
          },
          styl: {
            margin: 0
          },
          size: "small",
          type: "primary",
          __source: {
            fileName: _jsxFileName,
            lineNumber: 54
          }
        }, "Add Page"),
        breadcrumbs: [{
          path: '/admin',
          breadcrumbName: 'Admin Panel'
        }, {
          path: '/admin/pages',
          breadcrumbName: 'Pages'
        }],
        __source: {
          fileName: _jsxFileName,
          lineNumber: 52
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_pages_lib_browser__["Pages"], {
        query: {},
        render: function render(_ref2) {
          var data = _ref2.data,
              loading = _ref2.loading;
          return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 69
            }
          }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["t" /* Table */], {
            rowKey: "_id",
            loading: loading,
            dataSource: data,
            columns: _this2.columns,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 70
            }
          }));
        },
        __source: {
          fileName: _jsxFileName,
          lineNumber: 66
        }
      }), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["m" /* Modal */], {
        onCancel: function onCancel() {
          return _this2.setState({
            item: {},
            modal: false
          });
        },
        footer: false,
        visible: this.state.modal,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 80
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__components_PageForm__["a" /* default */], {
        item: this.state.item || {},
        onSuccess: function onSuccess() {
          return location.reload();
        },
        onError: function onError() {
          return __WEBPACK_IMPORTED_MODULE_2_antd__["u" /* message */].error("Server error :( Try later...");
        },
        __source: {
          fileName: _jsxFileName,
          lineNumber: 81
        }
      })));
    }
  }, {
    key: "__reactstandin__regenerateByEval",
    // @ts-ignore
    value: function __reactstandin__regenerateByEval(key, code) {
      // @ts-ignore
      this[key] = eval(code);
    }
  }]);

  return Items;
}(__WEBPACK_IMPORTED_MODULE_1_react___default.a.Component);


;

(function () {
  var reactHotLoader = __webpack_require__("../../node_modules/react-hot-loader/index.js").default;

  var leaveModule = __webpack_require__("../../node_modules/react-hot-loader/index.js").leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Items, "Items", "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/modules/admin/containers/PagesManager.jsx");
  leaveModule(module);
})();

;
/* WEBPACK VAR INJECTION */}.call(__webpack_exports__, __webpack_require__("../../node_modules/webpack/buildin/harmony-module.js")(module)))

/***/ })

})
//# sourceMappingURL=0.0f16a86776b81eccc5ef.hot-update.js.map