module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		var threw = true;
/******/ 		try {
/******/ 			modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 			threw = false;
/******/ 		} finally {
/******/ 			if(threw) delete installedModules[moduleId];
/******/ 		}
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 5);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./components/CommentForm.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("lodash");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("react");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_graphql_tag__ = __webpack_require__("graphql-tag");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_graphql_tag___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_graphql_tag__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_react_apollo__ = __webpack_require__("react-apollo");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_react_apollo___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_react_apollo__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_antd__ = __webpack_require__("antd");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_antd___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_antd__);
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/components/CommentForm.jsx";

var _templateObject = /*#__PURE__*/ _taggedTemplateLiteral(["\n    mutation addComment($comment: IComment!) {\n        createComment(comment: $comment) {\n            _id\n            ref\n            text\n            target\n            author\n       }\n    }\n"]);

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }






var Item = __WEBPACK_IMPORTED_MODULE_4_antd__["Form"].Item;
var TextArea = __WEBPACK_IMPORTED_MODULE_4_antd__["Input"].TextArea;
var ADD_COMMENT = __WEBPACK_IMPORTED_MODULE_2_graphql_tag___default()(_templateObject);

function CommentForm(_ref) {
  var onSuccess = _ref.onSuccess,
      onError = _ref.onError,
      user = _ref.user,
      form = _ref.form,
      targetId = _ref.targetId,
      target = _ref.target;
  form.getFieldDecorator('ref', {
    initialValue: targetId
  });
  form.getFieldDecorator('target', {
    initialValue: target
  });
  form.getFieldDecorator('author', {
    initialValue: __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.get(user, 'user_id', '__guest__')
  });

  var submit = function submit(addComment, comment) {
    return function (e) {
      e.preventDefault();
      addComment({
        variables: {
          comment: comment
        }
      }).then(onSuccess).catch(onError);
    };
  };

  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_1_react___default.a.Fragment, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 36
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3_react_apollo__["Mutation"], {
    mutation: ADD_COMMENT,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 37
    }
  }, function (addComment, _ref2) {
    var loading = _ref2.loading,
        error = _ref2.error;
    return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4_antd__["Form"], {
      onSubmit: submit(addComment, form.getFieldsValue()),
      __source: {
        fileName: _jsxFileName,
        lineNumber: 39
      }
    }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
      label: "Comment",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 40
      }
    }, form.getFieldDecorator('text', {
      rules: [{
        required: true,
        message: 'Comment text is required'
      }]
    })(__WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(TextArea, {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 42
      }
    }))), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4_antd__["Button"], {
      type: "primary",
      htmlType: "submit",
      __source: {
        fileName: _jsxFileName,
        lineNumber: 45
      }
    }, "Submit"));
  }));
}

/* harmony default export */ __webpack_exports__["a"] = (__WEBPACK_IMPORTED_MODULE_4_antd__["Form"].create()(CommentForm));

/***/ }),

/***/ "./components/ContentPage.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("lodash");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("react");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd__ = __webpack_require__("antd");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_antd__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__Layout__ = __webpack_require__("./components/Layout.jsx");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__routes__ = __webpack_require__("./routes.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__routes___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4__routes__);
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/components/ContentPage.jsx";





var Sider = __WEBPACK_IMPORTED_MODULE_2_antd__["Layout"].Sider,
    Content = __WEBPACK_IMPORTED_MODULE_2_antd__["Layout"].Content;

var itemRender = function itemRender(route, params, routes, paths) {
  var last = routes.indexOf(route) === routes.length - 1;
  return last ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("span", {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12
    }
  }, route.breadcrumbName) : __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__routes__["Link"], {
    to: route.path,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 12
    }
  }, route.breadcrumbName);
};

/* harmony default export */ __webpack_exports__["a"] = (function (props) {
  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__Layout__["a" /* default */], {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 16
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
    style: {
      margin: '15px auto',
      width: '960px'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 17
    }
  }, props.breadcrumbs ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Row"], {
    gutter: 16,
    style: {
      margin: '20px 0'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Col"], {
    md: 18,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 20
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Breadcrumb"], {
    itemRender: itemRender,
    routes: props.breadcrumbs,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 21
    }
  })), props.button ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Col"], {
    md: 6,
    className: "text-right",
    __source: {
      fileName: _jsxFileName,
      lineNumber: 23
    }
  }, props.button) : null) : null), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Layout"], {
    style: {
      height: "calc(100vh - 194px)",
      margin: '0 auto',
      width: '960px',
      backgroundColor: '#fff'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27
    }
  }, props.sider ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Sider, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28
    }
  }, props.sider) : null, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Content, {
    style: {
      padding: '15px'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 29
    }
  }, props.children)));
});

/***/ }),

/***/ "./components/Layout.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("lodash");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("react");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd__ = __webpack_require__("antd");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_antd___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_antd__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_menus_lib_browser__ = __webpack_require__("@module-stack/module-menus/lib/browser");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__module_stack_module_menus_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_menus_lib_browser__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__routes__ = __webpack_require__("./routes.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__routes___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4__routes__);
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/components/Layout.jsx";





var SubMenu = __WEBPACK_IMPORTED_MODULE_2_antd__["Menu"].SubMenu,
    Item = __WEBPACK_IMPORTED_MODULE_2_antd__["Menu"].Item;
var Content = __WEBPACK_IMPORTED_MODULE_2_antd__["Layout"].Content,
    Header = __WEBPACK_IMPORTED_MODULE_2_antd__["Layout"].Header,
    Footer = __WEBPACK_IMPORTED_MODULE_2_antd__["Layout"].Footer;

var item = function item(page) {
  return __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.isEmpty(page.children) ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
    key: page.href,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 13
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4__routes__["Link"], {
    route: page.href,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 14
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("a", {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 15
    }
  }, page.title))) : __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(SubMenu, {
    key: page.href,
    title: page.title,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19
    }
  }, __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.map(page.children, function (page) {
    return item(page);
  }));
};

var Layout = function Layout(props) {
  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Layout"], {
    style: {
      height: '100vh'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Header, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 27
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_3__module_stack_module_menus_lib_browser__["Menu"], {
    _id: "5b1f8ffc80e28d016ac5fbe9",
    render: function render(_ref) {
      var loading = _ref.loading,
          data = _ref.data,
          error = _ref.error;
      return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_2_antd__["Menu"], {
        theme: "dark",
        mode: "horizontal",
        style: {
          lineHeight: '64px'
        },
        __source: {
          fileName: _jsxFileName,
          lineNumber: 31
        }
      }, __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.map(__WEBPACK_IMPORTED_MODULE_0_lodash___default.a.get(data, 'elements'), function (page) {
        return item(page);
      }));
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 28
    }
  })), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Content, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 41
    }
  }, props.children), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Footer, {
    style: {
      textAlign: 'center'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 44
    }
  }, "\xA9 CMS Stack"));
};

/* harmony default export */ __webpack_exports__["a"] = (Layout);

/***/ }),

/***/ "./pages/blog.jsx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash__ = __webpack_require__("lodash");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react__ = __webpack_require__("react");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_react___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_react__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment__ = __webpack_require__("moment");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_moment__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_query_string__ = __webpack_require__("query-string");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_query_string___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_query_string__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_react_markdown__ = __webpack_require__("react-markdown");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_react_markdown___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_react_markdown__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_antd__ = __webpack_require__("antd");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_antd___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_antd__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__module_stack_module_comments_lib_browser__ = __webpack_require__("@module-stack/module-comments/lib/browser");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__module_stack_module_comments_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6__module_stack_module_comments_lib_browser__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__module_stack_module_categories_lib_browser__ = __webpack_require__("@module-stack/module-categories/lib/browser");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__module_stack_module_categories_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7__module_stack_module_categories_lib_browser__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__module_stack_module_blog_lib_browser__ = __webpack_require__("@module-stack/module-blog/lib/browser");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__module_stack_module_blog_lib_browser___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_8__module_stack_module_blog_lib_browser__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__routes__ = __webpack_require__("./routes.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__routes___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9__routes__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__components_CommentForm__ = __webpack_require__("./components/CommentForm.jsx");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__components_ContentPage__ = __webpack_require__("./components/ContentPage.jsx");
var _jsxFileName = "/home/olshevsky/WebstormProjects/module-stack/servers/next-server/pages/blog.jsx";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }













var Item = __WEBPACK_IMPORTED_MODULE_5_antd__["Menu"].Item,
    SubMenu = __WEBPACK_IMPORTED_MODULE_5_antd__["Menu"].SubMenu;
var Sider = __WEBPACK_IMPORTED_MODULE_5_antd__["Layout"].Sider,
    Content = __WEBPACK_IMPORTED_MODULE_5_antd__["Layout"].Content;

var List = function List(props) {
  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_8__module_stack_module_blog_lib_browser__["Posts"], {
    query: props.router.query,
    render: function render(_ref) {
      var data = _ref.data,
          loading = _ref.loading;
      return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 22
        }
      }, __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.map(data, function (post) {
        return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Card"], {
          style: {
            marginBottom: '15px'
          },
          __source: {
            fileName: _jsxFileName,
            lineNumber: 24
          }
        }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Card"].Meta, {
          description: post.shortcut,
          title: __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_9__routes__["Link"], {
            to: "/blog?".concat(__WEBPACK_IMPORTED_MODULE_3_query_string___default.a.stringify(_objectSpread({}, props.router.query, {
              _id: post._id
            }))),
            __source: {
              fileName: _jsxFileName,
              lineNumber: 27
            }
          }, post.title),
          __source: {
            fileName: _jsxFileName,
            lineNumber: 25
          }
        }));
      }));
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 19
    }
  });
};

var Comment = function Comment(props) {
  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Card"], {
    style: {
      marginBottom: '15px'
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 37
    }
  }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Card"].Meta, {
    title: props.comment.text,
    description: __WEBPACK_IMPORTED_MODULE_2_moment___default()(props.comment.createdAt).format('LLLL'),
    avatar: __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Avatar"], {
      __source: {
        fileName: _jsxFileName,
        lineNumber: 43
      }
    }, "CMS Stack"),
    __source: {
      fileName: _jsxFileName,
      lineNumber: 40
    }
  }));
};

var View = function View(props) {
  return props._id ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_8__module_stack_module_blog_lib_browser__["Post"], {
    _id: props._id,
    render: function render(_ref2) {
      var data = _ref2.data,
          loading = _ref2.loading;
      return loading ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Spin"], {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 52
        }
      }) : __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 53
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 54
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("h1", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 55
        }
      }, data.title), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("article", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 56
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_4_react_markdown___default.a, {
        source: data.content,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 57
        }
      }))), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 60
        }
      }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Divider"], {
        __source: {
          fileName: _jsxFileName,
          lineNumber: 61
        }
      }, "Comments"), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_6__module_stack_module_comments_lib_browser__["Comments"], {
        refId: props._id,
        target: "__posts__",
        render: function render(_ref3) {
          var data = _ref3.data,
              loading = _ref3.loading,
              refresh = _ref3.refresh;
          return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement("div", {
            __source: {
              fileName: _jsxFileName,
              lineNumber: 66
            }
          }, __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.map(data, function (comment) {
            return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Comment, {
              comment: comment,
              __source: {
                fileName: _jsxFileName,
                lineNumber: 67
              }
            });
          }), __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_10__components_CommentForm__["a" /* default */], {
            onError: function onError(err) {
              return console.log('Cannot add comment', err);
            },
            onSuccess: function onSuccess() {
              return location.reload();
            },
            user: "__guest__",
            targetId: props._id,
            target: "__posts__",
            __source: {
              fileName: _jsxFileName,
              lineNumber: 68
            }
          }));
        },
        __source: {
          fileName: _jsxFileName,
          lineNumber: 62
        }
      })));
    },
    __source: {
      fileName: _jsxFileName,
      lineNumber: 49
    }
  }) : null;
};

/* harmony default export */ __webpack_exports__["default"] = (function (props) {
  return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_11__components_ContentPage__["a" /* default */], {
    breadcrumbs: [{
      path: '/',
      breadcrumbName: 'CMS Stack'
    }, {
      path: '/blog',
      breadcrumbName: 'Blog'
    }],
    sider: __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_7__module_stack_module_categories_lib_browser__["Categories"], {
      target: "__posts__",
      render: function render(_ref4) {
        var data = _ref4.data,
            loading = _ref4.loading;
        return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(__WEBPACK_IMPORTED_MODULE_5_antd__["Menu"], {
          mode: "inline",
          style: {
            height: '100%'
          },
          defaultSelectedKeys: [props.router.query.category || 'all'],
          onSelect: function onSelect(_ref5) {
            var key = _ref5.key;
            return __WEBPACK_IMPORTED_MODULE_9__routes__["Router"].pushRoute(key === 'all' ? '/blog' : "/blog?".concat(__WEBPACK_IMPORTED_MODULE_3_query_string___default.a.stringify({
              category: key
            })));
          },
          __source: {
            fileName: _jsxFileName,
            lineNumber: 100
          }
        }, __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
          key: 'all',
          __source: {
            fileName: _jsxFileName,
            lineNumber: 106
          }
        }, "All"), __WEBPACK_IMPORTED_MODULE_0_lodash___default.a.map(data, function (category) {
          return __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(Item, {
            key: category._id,
            __source: {
              fileName: _jsxFileName,
              lineNumber: 107
            }
          }, category.title);
        }));
      },
      __source: {
        fileName: _jsxFileName,
        lineNumber: 97
      }
    }),
    __source: {
      fileName: _jsxFileName,
      lineNumber: 86
    }
  }, props.router.query._id ? __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(View, _extends({}, props, {
    _id: props.router.query._id,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 113
    }
  })) : __WEBPACK_IMPORTED_MODULE_1_react___default.a.createElement(List, _extends({}, props, {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 113
    }
  })));
});

/***/ }),

/***/ "./routes.js":
/***/ (function(module, exports, __webpack_require__) {

// version 1.2.0
var Routes = __webpack_require__("next-routes");

module.exports = router = Routes();
router.add('test', '/test/:name?');
router.add('page', '/page/:_id?');
router.add('post', '/post/:_id?');

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("./pages/blog.jsx");


/***/ }),

/***/ "@module-stack/module-blog/lib/browser":
/***/ (function(module, exports) {

module.exports = require("@module-stack/module-blog/lib/browser");

/***/ }),

/***/ "@module-stack/module-categories/lib/browser":
/***/ (function(module, exports) {

module.exports = require("@module-stack/module-categories/lib/browser");

/***/ }),

/***/ "@module-stack/module-comments/lib/browser":
/***/ (function(module, exports) {

module.exports = require("@module-stack/module-comments/lib/browser");

/***/ }),

/***/ "@module-stack/module-menus/lib/browser":
/***/ (function(module, exports) {

module.exports = require("@module-stack/module-menus/lib/browser");

/***/ }),

/***/ "antd":
/***/ (function(module, exports) {

module.exports = require("antd");

/***/ }),

/***/ "graphql-tag":
/***/ (function(module, exports) {

module.exports = require("graphql-tag");

/***/ }),

/***/ "lodash":
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ "moment":
/***/ (function(module, exports) {

module.exports = require("moment");

/***/ }),

/***/ "next-routes":
/***/ (function(module, exports) {

module.exports = require("next-routes");

/***/ }),

/***/ "query-string":
/***/ (function(module, exports) {

module.exports = require("query-string");

/***/ }),

/***/ "react":
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ "react-apollo":
/***/ (function(module, exports) {

module.exports = require("react-apollo");

/***/ }),

/***/ "react-markdown":
/***/ (function(module, exports) {

module.exports = require("react-markdown");

/***/ })

/******/ });
//# sourceMappingURL=blog.js.map